# Command-line interface for internal use only

# Generate preview of file from selection
if [ "${1:-}" = "--preview" ]; then
  shift
  name="$1"
  shift
  file="$ROOT/$name"
  awk \
    -v label_tel_text="$LABEL_TEL_TEXT" \
    -v label_tel_fax="$LABEL_TEL_FAX" \
    -v label_tel_cell="$LABEL_TEL_CELL" \
    -v label_tel_video="$LABEL_TEL_VIDEO" \
    -v label_tel_pager="$LABEL_TEL_PAGER" \
    -v label_tel_textphone="$LABEL_TEL_TEXTPHONE" \
    -v label_tel="$LABEL_TEL" \
    -v label_work="$LABEL_WORK" \
    -v label_home="$LABEL_HOME" \
    "$AWK_PREVIEW" "$file" |
    $CAT
  exit
fi

# Reload view
if [ "${1:-}" = "--reload" ]; then
  shift
  __lines
  exit
fi
